// Fill out your copyright notice in the Description page of Project Settings.

#include "MinimapExample.h"
#include "NavMeshRenderingActor.h"
#include "NavMesh/NavMeshRenderingComponent.h"
#include "Engine/Engine.h"

ANavMeshRenderingActor::ANavMeshRenderingActor()
{
	NavMeshRenderingComponent = CreateDefaultSubobject<UNavMeshRenderingComponent>(TEXT("NavMeshRenderer"));
	SetRootComponent(NavMeshRenderingComponent);
}

void ANavMeshRenderingActor::BeginPlay()
{
	Super::BeginPlay();
	FWorldContext* WorldContext = GEngine->GetWorldContextFromWorld(GetWorld());
	if (WorldContext && WorldContext->GameViewport)
		WorldContext->GameViewport->EngineShowFlags.SetNavigation(true);
}

